<?php


class openShare extends netsError{

	public function urlencode_rfc3986($input){
		if (is_array($input)){
			return array_map(array('OAuthUtil', 'urlencode_rfc3986'), $input);
		}else if (is_scalar($input)){
			return str_replace('+',' ',str_replace('%7E', '~', rawurlencode($input)));
		}else {
			return '';
		}
	}
	public function urldecode_rfc3986($string) {
		return urldecode($string);
	}


}

?>